import { BaseHarnessFilters, ComponentHarness, HarnessPredicate } from '@angular/cdk/testing';
export declare class GioElFieldHarness extends ComponentHarness {
    static hostSelector: string;
    static with(options?: BaseHarnessFilters): HarnessPredicate<GioElFieldHarness>;
    private getAutocomplete;
    private getKey1Input;
    private getKey2Input;
    setValue(field: string, key1?: string, key2?: string): Promise<void>;
    getValue(): Promise<{
        field: string;
        key1?: string;
        key2?: string;
    }>;
}
