import { OnChanges, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { ConditionForm } from '../../gio-el-editor.component';
import { Operator } from '../../../models/Operator';
import * as i0 from "@angular/core";
type AutocompleteValue = {
    value: string;
    label: string;
};
export declare class GioElEditorTypeStringComponent implements OnChanges {
    private readonly destroyRef;
    conditionFormGroup: FormGroup<ConditionForm>;
    protected operators: {
        label: string;
        value: Operator;
    }[];
    protected filteredOptions$: Observable<AutocompleteValue[]>;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioElEditorTypeStringComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioElEditorTypeStringComponent, "gio-el-editor-type-string", never, { "conditionFormGroup": { "alias": "conditionFormGroup"; "required": true; }; }, {}, never, never, true, never>;
}
export {};
