import * as i0 from "@angular/core";
export type GioBannerTypes = 'error' | 'info' | 'success' | 'warning';
export declare class GioBannerComponent {
    type: GioBannerTypes;
    icon?: string;
    collapsible?: boolean;
    collapse: boolean;
    toggleCollapse(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioBannerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioBannerComponent, "gio-banner", never, { "type": { "alias": "type"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "collapsible": { "alias": "collapsible"; "required": false; }; }, {}, never, ["*", "[gioBannerBody]", "[gioBannerAction]"], false, never>;
}
export declare class GioBannerBodyDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<GioBannerBodyDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GioBannerBodyDirective, "[gioBannerBody]", never, {}, {}, never, never, false, never>;
}
export declare class GioBannerActionDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<GioBannerActionDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GioBannerActionDirective, "[gioBannerAction]", never, {}, {}, never, never, false, never>;
}
export declare class GioBannerErrorComponent extends GioBannerComponent {
    type: GioBannerTypes;
    icon: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioBannerErrorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioBannerErrorComponent, "gio-banner-error", never, {}, {}, never, ["*", "[gioBannerBody]", "[gioBannerAction]"], false, never>;
}
export declare class GioBannerInfoComponent extends GioBannerComponent {
    type: GioBannerTypes;
    icon: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioBannerInfoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioBannerInfoComponent, "gio-banner-info", never, {}, {}, never, ["*", "[gioBannerBody]", "[gioBannerAction]"], false, never>;
}
export declare class GioBannerSuccessComponent extends GioBannerComponent {
    type: GioBannerTypes;
    icon: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioBannerSuccessComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioBannerSuccessComponent, "gio-banner-success", never, {}, {}, never, ["*", "[gioBannerBody]", "[gioBannerAction]"], false, never>;
}
export declare class GioBannerWarningComponent extends GioBannerComponent {
    type: GioBannerTypes;
    icon: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioBannerWarningComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioBannerWarningComponent, "gio-banner-warning", never, {}, {}, never, ["*", "[gioBannerBody]", "[gioBannerAction]"], false, never>;
}
