import { MatTooltip } from '@angular/material/tooltip';
import { Clipboard } from '@angular/cdk/clipboard';
import * as i0 from "@angular/core";
export declare abstract class GioClipboardComponent {
    private clipboard;
    label: string;
    tooltipHideDelay: number;
    clicked: boolean;
    tooltip: MatTooltip;
    contentToCopy: string;
    alwaysVisible: boolean;
    tabIndex: undefined;
    constructor(clipboard: Clipboard);
    onCopied(success: boolean, tooltip: MatTooltip): void;
    onKeyupSpace(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioClipboardComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GioClipboardComponent, never, never, { "contentToCopy": { "alias": "contentToCopy"; "required": false; }; "alwaysVisible": { "alias": "alwaysVisible"; "required": false; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; }, {}, never, never, true, never>;
}
