import { Injector, Type } from '@angular/core';
import * as i0 from "@angular/core";
export type GioConfirmAndValidateDialogData = {
    title?: string;
    warning?: string;
    content?: string | {
        componentOutlet: Type<unknown>;
        componentInputs?: Record<string, unknown>;
    };
    validationMessage?: string;
    validationValue?: string;
    confirmButton?: string;
    cancelButton?: string;
};
export declare class GioConfirmAndValidateDialogComponent {
    private readonly parentInjector;
    title: string;
    warning?: string;
    content?: string;
    contentComponentOutlet?: Type<unknown>;
    contentComponentInputs?: Record<string, unknown>;
    contentComponentInjector: Injector;
    validationMessage?: string;
    validationValue: string;
    confirmButton: string;
    cancelButton: string;
    confirmValue?: string;
    isValid: boolean;
    constructor(confirmDialogData: GioConfirmAndValidateDialogData, parentInjector: Injector);
    onConfirmChange(confirmValue: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioConfirmAndValidateDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioConfirmAndValidateDialogComponent, "gio-confirm-and-validate-dialog", never, {}, {}, never, never, false, never>;
}
