import { BaseHarnessFilters, ComponentHarness, HarnessPredicate } from '@angular/cdk/testing';
import { MatButtonToggleGroupHarness } from '@angular/material/button-toggle/testing';
import { MatInputHarness } from '@angular/material/input/testing';
export type GioFormCronHarnessFilters = BaseHarnessFilters;
export declare class GioFormCronHarness extends ComponentHarness {
    static hostSelector: string;
    protected getModeToggleGroup: import("@angular/cdk/harness-environment.d-4d615248").A<MatButtonToggleGroupHarness>;
    protected getCustomExpressionInput: import("@angular/cdk/harness-environment.d-4d615248").A<MatInputHarness>;
    /**
     * Gets a `HarnessPredicate` that can be used to search for this harness.
     *
     * @param options Options for filtering which input instances are considered a match.
     * @return a `HarnessPredicate` configured with the given options.
     */
    static with(options?: GioFormCronHarnessFilters): HarnessPredicate<GioFormCronHarness>;
    getMode(): Promise<string | null>;
    setMode(mode: string): Promise<void>;
    clear(): Promise<void>;
    getValue(): Promise<string | null>;
    setCustomValue(value: string): Promise<void>;
    isDisabled(): Promise<boolean>;
    hasError(): Promise<boolean>;
}
