import { FormlyFieldConfig, FormlyFormBuilder } from '@ngx-formly/core';
import { FormlyJsonschema } from '@ngx-formly/core/json-schema';
import { GioJsonSchema } from './model/GioJsonSchema';
import { GioJsonSchemaContext } from './model/GioJsonSchemaContext';
import * as i0 from "@angular/core";
export declare class GioFormlyJsonSchemaService {
    private readonly formlyJsonschema;
    private readonly builder;
    constructor(formlyJsonschema: FormlyJsonschema, builder: FormlyFormBuilder);
    toFormlyFieldConfig(jsonSchema: GioJsonSchema, context?: GioJsonSchemaContext): FormlyFieldConfig;
    private displayIfMap;
    private uiTypeMap;
    private uiBorder;
    private formatMap;
    private bannerMap;
    private toggleMap;
    private disableIfMap;
    private enumLabelMap;
    /**
     * Remove the label of the oneOf fields to avoid to display it twice (with the select and the object title)
     */
    private sanitizeOneOf;
    private deprecatedMap;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioFormlyJsonSchemaService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GioFormlyJsonSchemaService>;
}
