import { FormlyFieldConfig } from '@ngx-formly/core';
export declare function minItemsValidationMessage(error: unknown, field: FormlyFieldConfig): string;
export declare function maxItemsValidationMessage(error: unknown, field: FormlyFieldConfig): string;
export declare function minLengthValidationMessage(error: unknown, field: FormlyFieldConfig): string;
export declare function maxLengthValidationMessage(error: unknown, field: FormlyFieldConfig): string;
export declare function minValidationMessage(error: unknown, field: FormlyFieldConfig): string;
export declare function maxValidationMessage(error: unknown, field: FormlyFieldConfig): string;
export declare function multipleOfValidationMessage(error: unknown, field: FormlyFieldConfig): string;
export declare function exclusiveMinimumValidationMessage(error: unknown, field: FormlyFieldConfig): string;
export declare function exclusiveMaximumValidationMessage(error: unknown, field: FormlyFieldConfig): string;
export declare function constValidationMessage(error: unknown, field: FormlyFieldConfig): string;
export declare function typeValidationMessage({ schemaType }: {
    schemaType: unknown[];
}): string;
export declare function patternValidationMessage(error: unknown, field: FormlyFieldConfig): string;
