import { BaseHarnessFilters, ComponentHarness, HarnessPredicate } from '@angular/cdk/testing';
export type GioFormSelectionInlineCardHarnessFilters = BaseHarnessFilters & {
    value?: string;
};
export declare class GioFormSelectionInlineCardHarness extends ComponentHarness {
    static hostSelector: string;
    /**
     * Gets a `HarnessPredicate` that can be used to search for a `GioFormSelectionInlineCardHarness` that meets
     * certain criteria.
     *
     * @param options Options for filtering which input instances are considered a match.
     * @return a `HarnessPredicate` configured with the given options.
     */
    static with(options?: GioFormSelectionInlineCardHarnessFilters): HarnessPredicate<GioFormSelectionInlineCardHarness>;
    getValue(): Promise<string | null>;
    isSelected(): Promise<boolean>;
    isDisabled(): Promise<boolean>;
    getContentText(): Promise<string>;
}
