import { OnDestroy } from '@angular/core';
import type Monaco from 'monaco-editor';
import { GioMonacoEditorService } from './gio-monaco-editor.service';
import * as i0 from "@angular/core";
export declare class GioLanguageJsonService implements OnDestroy {
    private readonly codeEditorService;
    private unsubscribe$;
    private monaco?;
    constructor(codeEditorService: GioMonacoEditorService);
    ngOnDestroy(): void;
    setup(monaco: typeof Monaco): void;
    addSchemas(id: string, definitions?: Array<{
        uri: string;
        schema: unknown;
    }>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioLanguageJsonService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GioLanguageJsonService>;
}
