import { ReplaySubject } from 'rxjs';
import Monaco from 'monaco-editor';
import * as i0 from "@angular/core";
declare global {
    interface Window {
        require: any;
        monaco: typeof Monaco;
    }
}
export declare class GioMonacoEditorService {
    private readonly config;
    loaded$: ReplaySubject<{
        monaco: typeof Monaco;
    }>;
    private loaded;
    loadEditor(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioMonacoEditorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GioMonacoEditorService>;
}
