import { EventEmitter, OnDestroy } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class GioSaveBarComponent implements OnDestroy {
    isSubmitted: boolean;
    get isSticky(): boolean;
    opened: boolean;
    /**
     * When true, the submit button have invalidate display
     * And on submit clicked the output event is emit on submitInvalidState (and not on submit)
     */
    invalidState?: boolean;
    creationMode: boolean;
    form?: UntypedFormGroup;
    private hasSubmitLock;
    private submitLockSubscription?;
    formInitialValues?: unknown;
    hideSubmitButton: boolean;
    hideDiscardButton: boolean;
    resetClicked: EventEmitter<void>;
    submitted: EventEmitter<void>;
    submittedInvalidState: EventEmitter<any>;
    get isOpen(): boolean;
    ngOnDestroy(): void;
    onResetClicked(): void;
    onDisableSubmitLock(): void;
    onSubmitClicked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioSaveBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioSaveBarComponent, "gio-save-bar", never, { "opened": { "alias": "opened"; "required": false; }; "invalidState": { "alias": "invalidState"; "required": false; }; "creationMode": { "alias": "creationMode"; "required": false; }; "form": { "alias": "form"; "required": false; }; "formInitialValues": { "alias": "formInitialValues"; "required": false; }; "hideSubmitButton": { "alias": "hideSubmitButton"; "required": false; }; "hideDiscardButton": { "alias": "hideDiscardButton"; "required": false; }; }, { "resetClicked": "resetClicked"; "submitted": "submitted"; "submittedInvalidState": "submittedInvalidState"; }, never, ["*"], false, never>;
}
