import { OnDestroy } from '@angular/core';
import { GioMenuService } from '../gio-menu.service';
import * as i0 from "@angular/core";
export declare class GioMenuItemComponent implements OnDestroy {
    private readonly gioMenuService;
    icon: string;
    iconRight?: string;
    active: boolean;
    outlined: boolean;
    private unsubscribe$;
    constructor(gioMenuService: GioMenuService);
    ngOnDestroy(): void;
    onMouseLeave(): void;
    onMouseEnter($event: MouseEvent): void;
    onClick($event: MouseEvent): void;
    onKeydownHandler($event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioMenuItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioMenuItemComponent, "gio-menu-item", never, { "icon": { "alias": "icon"; "required": false; }; "iconRight": { "alias": "iconRight"; "required": false; }; "active": { "alias": "active"; "required": false; }; "outlined": { "alias": "outlined"; "required": false; }; }, {}, never, ["*"], false, never>;
}
