import { EventEmitter } from '@angular/core';
import { MatSelectChange } from '@angular/material/select';
import * as i0 from "@angular/core";
export type SelectorItem = {
    value: string;
    displayValue: string;
};
export declare class GioMenuSelectorComponent {
    selectorTitle: string;
    selectorItems: SelectorItem[];
    selectedItemValue: string;
    tabIndex: number;
    selectChange: EventEmitter<string>;
    onSelectionChange($event: MatSelectChange): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioMenuSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioMenuSelectorComponent, "gio-menu-selector", never, { "selectorTitle": { "alias": "selectorTitle"; "required": false; }; "selectorItems": { "alias": "selectorItems"; "required": false; }; "selectedItemValue": { "alias": "selectedItemValue"; "required": false; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; }, { "selectChange": "selectChange"; }, never, never, false, never>;
}
