import { ElementRef, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { DomSanitizer } from '@angular/platform-browser';
import { GioPrismJsService } from '@gravitee/ui-particles-angular';
import { GioAsciidoctorService } from './gio-asciidoctor.service';
import * as i0 from "@angular/core";
export declare class GioAsciidoctorComponent implements OnChanges, OnDestroy {
    private readonly gioAsciidoctorService;
    private readonly gioPrismJsService;
    private readonly sanitizer;
    private readonly elementRef;
    private readonly httpClient;
    private readonly appId;
    content?: string;
    src?: string;
    private options;
    private asciidoctor$;
    private unsubscribe$;
    private _uniqueId;
    constructor(gioAsciidoctorService: GioAsciidoctorService, gioPrismJsService: GioPrismJsService, sanitizer: DomSanitizer, elementRef: ElementRef, httpClient: HttpClient, appId: string);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private render;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioAsciidoctorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioAsciidoctorComponent, "gio-asciidoctor", never, { "content": { "alias": "content"; "required": false; }; "src": { "alias": "src"; "required": false; }; }, {}, never, never, false, never>;
}
