import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ConditionForm, ConditionGroupForm } from '../gio-el-editor.component';
import { ConditionsModel } from '../../models/ConditionsModel';
import * as i0 from "@angular/core";
export declare class GioElEditorConditionGroupComponent {
    conditionGroupFormGroup: FormGroup<ConditionGroupForm>;
    /**
     * Conditions model to generate the fields for the conditions.
     */
    conditionsModel: ConditionsModel;
    /**
     * Level of the node in the tree. Useful for testing with Harness to limit the scope of the query.
     */
    nodeLvl: number;
    remove: EventEmitter<void>;
    protected addConditionGroup(): void;
    protected addCondition(): void;
    protected removeCondition(conditionIndex: number): void;
    protected removeConditionGroup(): void;
    protected isConditionGroupForm(formGroup: FormGroup<ConditionForm> | FormGroup<ConditionGroupForm>): formGroup is FormGroup<ConditionGroupForm>;
    private checkMultipleCondition;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioElEditorConditionGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioElEditorConditionGroupComponent, "gio-el-editor-condition-group", never, { "conditionGroupFormGroup": { "alias": "conditionGroupFormGroup"; "required": true; }; "conditionsModel": { "alias": "conditionsModel"; "required": true; }; "nodeLvl": { "alias": "nodeLvl"; "required": false; }; }, { "remove": "remove"; }, never, never, true, never>;
}
