import { EventEmitter, OnInit } from '@angular/core';
import { FormArray, FormControl, FormGroup } from '@angular/forms';
import { ConditionModel } from '../models/ConditionModel';
import { ConditionsModel } from '../models/ConditionsModel';
import { Operator } from '../models/Operator';
import * as i0 from "@angular/core";
export type ConditionForm = {
    field: FormControl<ConditionModel | null>;
    operator: FormControl<Operator | null>;
    value: FormControl<string | boolean | Date | number | null>;
};
export type ConditionGroupForm = {
    condition: FormControl<'AND' | 'OR'>;
    conditions: FormArray<FormGroup<ConditionForm> | FormGroup<ConditionGroupForm>>;
};
export declare class GioElEditorComponent implements OnInit {
    private readonly destroyRef;
    conditionsModel: ConditionsModel;
    elChange: EventEmitter<string>;
    protected conditionGroupFormGroup: FormGroup<ConditionGroupForm>;
    protected elOutput?: string;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioElEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioElEditorComponent, "gio-el-editor", never, { "conditionsModel": { "alias": "conditionsModel"; "required": true; }; }, { "elChange": "elChange"; }, never, never, true, never>;
}
