import { Injector, Type } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export type GioConfirmDialogData = {
    title?: string;
    content?: string | {
        componentOutlet: Type<unknown>;
        componentInputs?: Record<string, unknown>;
    };
    confirmButton?: string;
    cancelButton?: string;
    disableCancel?: boolean;
};
export type GioConfirmDialogResult = boolean;
export declare class GioConfirmDialogComponent {
    dialogRef: MatDialogRef<GioConfirmDialogComponent, GioConfirmDialogResult>;
    private readonly parentInjector;
    title: string;
    content?: string;
    contentComponentOutlet?: Type<unknown>;
    contentComponentInputs?: Record<string, unknown>;
    contentComponentInjector: Injector;
    confirmButton: string;
    cancelButton: string;
    disableCancel: boolean;
    constructor(dialogRef: MatDialogRef<GioConfirmDialogComponent, GioConfirmDialogResult>, confirmDialogData: GioConfirmDialogData, parentInjector: Injector);
    static ɵfac: i0.ɵɵFactoryDeclaration<GioConfirmDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioConfirmDialogComponent, "gio-confirm-dialog", never, {}, {}, never, never, false, never>;
}
