import { ElementRef } from '@angular/core';
import { FormGroupDirective } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class GioBaseFormFocusInvalidDirective {
    private readonly hostElement;
    protected readonly formGroupDirective: FormGroupDirective;
    constructor(hostElement: ElementRef, formGroupDirective: FormGroupDirective);
    protected focusOnFirstInvalid(): void;
    private getFirstInvalidControl;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioBaseFormFocusInvalidDirective, [null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GioBaseFormFocusInvalidDirective, never, never, {}, {}, never, never, true, never>;
}
export declare class GioFormFocusInvalidFormDirective extends GioBaseFormFocusInvalidDirective {
    onFormSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioFormFocusInvalidFormDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GioFormFocusInvalidFormDirective, "form[gioFormFocusInvalid]", never, {}, {}, never, never, false, never>;
}
export declare class GioButtonFocusInvalidButtonDirective extends GioBaseFormFocusInvalidDirective {
    onClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioButtonFocusInvalidButtonDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GioButtonFocusInvalidButtonDirective, "button[gioFormFocusInvalid]", never, {}, {}, never, never, false, never>;
}
