import { AfterContentInit, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class GioFormSelectionInlineComponent implements ControlValueAccessor, AfterContentInit {
    private readonly changeDetector;
    private selectCardsList?;
    selection?: string;
    disabled: boolean;
    private _onChange;
    private _onTouched;
    constructor(changeDetector: ChangeDetectorRef);
    ngAfterContentInit(): void;
    writeValue(value: string): void;
    registerOnChange(fn: (value?: string) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    private updateCardsSelection;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioFormSelectionInlineComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioFormSelectionInlineComponent, "gio-form-selection-inline", never, {}, {}, ["selectCardsList"], ["gio-form-selection-inline-card"], false, never>;
}
