import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { GioLicenseService, LicenseOptions, LicensePluginOptions } from './gio-license.service';
import * as i0 from "@angular/core";
export declare class GioLicenseDirective implements OnInit, OnDestroy {
    private readonly licenseService;
    private readonly matDialog;
    private elRef;
    /**
     * The license to check. Must be defined when the directive is initialised, otherwise the value will not be taken into account.
     */
    gioLicense?: LicenseOptions | LicensePluginOptions;
    private featureInfo;
    private trialURL;
    private unsubscribe$;
    private onClick;
    constructor(licenseService: GioLicenseService, matDialog: MatDialog, elRef: ElementRef);
    ngOnInit(): void;
    private isNotAllowed$;
    ngOnDestroy(): void;
    private click;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioLicenseDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GioLicenseDirective, "[gioLicense]", never, { "gioLicense": { "alias": "gioLicense"; "required": false; }; }, {}, never, never, false, never>;
}
