import { GioLicenseService, LicenseConfiguration } from './gio-license.service';
import * as i0 from "@angular/core";
export declare const LICENSE_CONFIGURATION_TESTING: LicenseConfiguration;
export declare const OEM_LICENSE_CONFIGURATION_TESTING: LicenseConfiguration;
export declare class GioLicenseTestingModule {
    static with(license: boolean): {
        ngModule: typeof GioLicenseTestingModule;
        providers: ({
            provide: string;
            useValue: LicenseConfiguration;
        } | {
            provide: typeof GioLicenseService;
            useValue: {
                isMissingFeature$: () => import("rxjs").Observable<boolean>;
                getFeatureInfo: () => {};
                getTrialURL: () => string;
                openDialog: () => void;
            };
        })[];
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<GioLicenseTestingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<GioLicenseTestingModule, never, never, never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<GioLicenseTestingModule>;
}
