import { OnDestroy } from '@angular/core';
import type Monaco from 'monaco-editor';
import { JSONSchema } from '../models/JSONSchemaAutoComplete';
import { GioMonacoEditorService } from './gio-monaco-editor.service';
import * as i0 from "@angular/core";
export declare const SPEL_LANG_ID = "spel";
export declare class GioLanguageElService implements OnDestroy {
    private unsubscribe$;
    private context;
    private schema;
    private keywords;
    ngOnDestroy(): void;
    constructor(codeEditorService: GioMonacoEditorService);
    setup(monaco: typeof Monaco): void;
    setSchema(schema: JSONSchema): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioLanguageElService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GioLanguageElService>;
}
