import { AfterViewInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { GioMenuService, OverlayOptions } from '../gio-menu';
import * as i0 from "@angular/core";
export declare class GioSubmenuTitleDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<GioSubmenuTitleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GioSubmenuTitleDirective, "[gioSubmenuTitle]", never, {}, {}, never, never, false, never>;
}
export type GioSubmenuTheme = 'dark' | 'light';
export declare class GioSubmenuComponent implements AfterViewInit, OnDestroy {
    private readonly gioMenuService;
    private readonly changeDetectorRef;
    theme: GioSubmenuTheme;
    static: boolean;
    reduced: boolean;
    loaded: boolean;
    overlayOptions: OverlayOptions;
    private hover;
    private gioSubmenu;
    private unsubscribe$;
    constructor(gioMenuService: GioMenuService, changeDetectorRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onMouseEnter(): void;
    onMouseLeave(): void;
    onKeydownHandler(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioSubmenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioSubmenuComponent, "gio-submenu", never, { "theme": { "alias": "theme"; "required": false; }; "static": { "alias": "static"; "required": false; }; }, {}, never, ["[gioSubmenuTitle]", "*"], false, never>;
}
